#include "Display.h"
#include <iostream>
#include <lib3dv/device.h>
#include <QMetaType>
#include "VislabImageProcessor.h"

    /*! A more elaborate description of the constructor*/
Display::Display(const QString& windowName, lib3dv::image::type::types imageType) : VislabImageProcessor(windowName, imageType)
{
    qRegisterMetaType<cv::Mat>("cv::Mat");
    connect(this, SIGNAL(doDisplay(cv::Mat)),SLOT(DisplayFrame(cv::Mat)));

}

/*! DisplayFrame function from the Display class with a cv:Mat parameter */
void Display::DisplayFrame(cv::Mat const& frame)
{
    cv::imshow(getName().toStdString(), frame);
}

/*! process function from the Display class with a cv:Mat parameter
    Emit the signal to diplay the frame
*/
void Display::process(cv::Mat const& frame)
{
    emit doDisplay(frame);
}










